Probatix Diagnostics API v1
Add a specimen to a diagnostic test
Creates or updates a specimen entry for the DiagnosticTest using the external specimen code. This endpoint only stores the specimen reference and does not activate the test.
Creates or updates a specimen entry for the DiagnosticTest using the external specimen code. This endpoint only stores the specimen reference and does not activate the test.
Authorization
apiKey X-API-TOKEN<token>
In: header
Path Parameters
id*string (uuid)
DiagnosticTestSpecimenInput identifier
Header Parameters
accept-language?string
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new DiagnosticTestSpecimenInput resource
TypeScript Definitions
Use the request body type in TypeScript.
body*DiagnosticTestSpecimenInput
id?string (uuid)
specimenCode*string
Laboratory specimen code or sample identifier.
Response Body
curl -X POST "https://example.com/v1/diagnostic_tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/specimens" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "specimenCode": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticOrder": "/entity/1", "diagnosticProduct": "/entity/1", "testResults": [ "/entity/1" ], "patient": { "email": "user@example.com", "firstName": "string", "lastName": "string", "gender": "M", "dateOfBirth": "2019-08-24", "healthInsuranceDetails": { "countryCode": "string", "provider": "string", "healthInsuranceTypeDE": "GKV", "subscriberIdentifier": "string" } }, "specimens": [ { "specimenCode": "string", "createdAt": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24", "collectionTime": "string", "menstrualPhaseAtCollection": "follikel" } ], "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "activatedAt": "2019-08-24T14:15:22Z", "labIntakeAt": "2019-08-24T14:15:22Z", "replacementDiagnosticTest": "/entity/1", "replacesDiagnosticTest": "/entity/1", "canceledAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}